Skip to main content
`Ctrl`+`K`

# TaoLineSearchGetOptionsPrefix

Gets the prefix used for searching for all `TaoLineSearch` options in the database

## Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchGetOptionsPrefix(TaoLineSearch ls, const char *p[])

Not Collective

## Input Parameter

- ls - the `TaoLineSearch` context

## Output Parameter

- p - pointer to the prefix string used is returned

## See Also

TAO: Optimization Solvers, `Tao`, `TaoLineSearch`, `TaoLineSearchSetOptionsPrefix()`, `TaoLineSearchAppendOptionsPrefix()`

## Level

advanced

## Location

src/tao/linesearch/interface/taolinesearch.c

Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages